diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
index fbbcb1e..748cc62 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
@@ -494,27 +494,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nghệ An
+    // Lào Cai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;NgheAn">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;LaoCai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nghệ An</rdfs:label>
-      <skos:definition>The province of Nghệ An in the country of Viet Nam</skos:definition>
+      <rdfs:label>Lào Cai</rdfs:label>
+      <skos:definition>The province of Lào Cai in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Nghệ An</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lào Cai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-22">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-02">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nghệ An in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-22</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-22</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;NgheAn"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;NgheAn"/>
+      <skos:definition>subdivision code for the province of Lào Cai in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-02</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-02</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;LaoCai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;LaoCai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -524,27 +524,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Trà Vinh
+    // Quảng Ninh
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TraVinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangNinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Trà Vinh</rdfs:label>
-      <skos:definition>The province of Trà Vinh in the country of Viet Nam</skos:definition>
+      <rdfs:label>Quảng Ninh</rdfs:label>
+      <skos:definition>The province of Quảng Ninh in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Trà Vinh</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Ninh</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-51">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-13">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Trà Vinh in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-51</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-51</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TraVinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TraVinh"/>
+      <skos:definition>subdivision code for the province of Quảng Ninh in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-13</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-13</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangNinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangNinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -554,27 +554,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hà Nam
+    // Thái Bình
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaNam">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThaiBinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hà Nam</rdfs:label>
-      <skos:definition>The province of Hà Nam in the country of Viet Nam</skos:definition>
+      <rdfs:label>Thái Bình</rdfs:label>
+      <skos:definition>The province of Thái Bình in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hà Nam</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thái Bình</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-63">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-20">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hà Nam in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-63</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-63</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaNam"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaNam"/>
+      <skos:definition>subdivision code for the province of Thái Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-20</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-20</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThaiBinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThaiBinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -584,27 +584,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Thái Nguyên
+    // Quảng Ngãi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThaiNguyen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangNgai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Thái Nguyên</rdfs:label>
-      <skos:definition>The province of Thái Nguyên in the country of Viet Nam</skos:definition>
+      <rdfs:label>Quảng Ngãi</rdfs:label>
+      <skos:definition>The province of Quảng Ngãi in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thái Nguyên</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Ngãi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-69">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-29">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Thái Nguyên in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-69</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-69</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThaiNguyen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThaiNguyen"/>
+      <skos:definition>subdivision code for the province of Quảng Ngãi in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-29</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-29</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangNgai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangNgai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -614,27 +614,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phú Yên
+    // Hưng Yên
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;PhuYen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HungYen">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phú Yên</rdfs:label>
-      <skos:definition>The province of Phú Yên in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hưng Yên</rdfs:label>
+      <skos:definition>The province of Hưng Yên in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Phú Yên</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hưng Yên</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-32">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-66">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phú Yên in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-32</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-32</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;PhuYen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;PhuYen"/>
+      <skos:definition>subdivision code for the province of Hưng Yên in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-66</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-66</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HungYen"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HungYen"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -644,27 +644,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ninh Thuận
+    // Phú Thọ
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;NinhThuan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;PhuTho">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ninh Thuận</rdfs:label>
-      <skos:definition>The province of Ninh Thuận in the country of Viet Nam</skos:definition>
+      <rdfs:label>Phú Thọ</rdfs:label>
+      <skos:definition>The province of Phú Thọ in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Ninh Thuận</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Phú Thọ</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-36">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-68">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ninh Thuận in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-36</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-36</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;NinhThuan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;NinhThuan"/>
+      <skos:definition>subdivision code for the province of Phú Thọ in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-68</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-68</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;PhuTho"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;PhuTho"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -674,27 +674,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sóc Trăng
+    // Hà Tĩnh
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;SocTrang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaTinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sóc Trăng</rdfs:label>
-      <skos:definition>The province of Sóc Trăng in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hà Tĩnh</rdfs:label>
+      <skos:definition>The province of Hà Tĩnh in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Sóc Trăng</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hà Tĩnh</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-52">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-23">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sóc Trăng in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-52</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-52</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;SocTrang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;SocTrang"/>
+      <skos:definition>subdivision code for the province of Hà Tĩnh in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-23</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-23</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaTinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaTinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -704,27 +704,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bắc Giang
+    // Thừa Thiên-Huế
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BacGiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThuaThien-Hue">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bắc Giang</rdfs:label>
-      <skos:definition>The province of Bắc Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>Thừa Thiên-Huế</rdfs:label>
+      <skos:definition>The province of Thừa Thiên-Huế in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bắc Giang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thừa Thiên-Huế</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-54">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-26">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bắc Giang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-54</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-54</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BacGiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BacGiang"/>
+      <skos:definition>subdivision code for the province of Thừa Thiên-Huế in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-26</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-26</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThuaThien-Hue"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThuaThien-Hue"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -734,27 +734,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bắc Ninh
+    // Đắk Lắk
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BacNinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;akLak">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bắc Ninh</rdfs:label>
-      <skos:definition>The province of Bắc Ninh in the country of Viet Nam</skos:definition>
+      <rdfs:label>Đắk Lắk</rdfs:label>
+      <skos:definition>The province of Đắk Lắk in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bắc Ninh</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đắk Lắk</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-56">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-33">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bắc Ninh in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-56</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-56</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BacNinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BacNinh"/>
+      <skos:definition>subdivision code for the province of Đắk Lắk in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-33</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-33</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;akLak"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;akLak"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -764,27 +764,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bình Phước
+    // Khánh Hòa
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BinhPhuoc">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;KhanhHoa">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bình Phước</rdfs:label>
-      <skos:definition>The province of Bình Phước in the country of Viet Nam</skos:definition>
+      <rdfs:label>Khánh Hòa</rdfs:label>
+      <skos:definition>The province of Khánh Hòa in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bình Phước</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Khánh Hòa</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-58">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-34">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bình Phước in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-58</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-58</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BinhPhuoc"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BinhPhuoc"/>
+      <skos:definition>subdivision code for the province of Khánh Hòa in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-34</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-34</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;KhanhHoa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;KhanhHoa"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -794,27 +794,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hậu Giang
+    // An Giang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HauGiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;AnGiang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hậu Giang</rdfs:label>
-      <skos:definition>The province of Hậu Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>An Giang</rdfs:label>
+      <skos:definition>The province of An Giang in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hậu Giang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">An Giang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-73">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-44">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hậu Giang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-73</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-73</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HauGiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HauGiang"/>
+      <skos:definition>subdivision code for the province of An Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-44</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-44</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;AnGiang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;AnGiang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -824,27 +824,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lào Cai
+    // Đồng Tháp
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;LaoCai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ongThap">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lào Cai</rdfs:label>
-      <skos:definition>The province of Lào Cai in the country of Viet Nam</skos:definition>
+      <rdfs:label>Đồng Tháp</rdfs:label>
+      <skos:definition>The province of Đồng Tháp in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lào Cai</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đồng Tháp</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-02">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-45">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Lào Cai in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-02</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-02</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;LaoCai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;LaoCai"/>
+      <skos:definition>subdivision code for the province of Đồng Tháp in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-45</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-45</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ongThap"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ongThap"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -854,27 +854,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Quảng Ninh
+    // Sơn La
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangNinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;SonLa">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Quảng Ninh</rdfs:label>
-      <skos:definition>The province of Quảng Ninh in the country of Viet Nam</skos:definition>
+      <rdfs:label>Sơn La</rdfs:label>
+      <skos:definition>The province of Sơn La in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Ninh</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Sơn La</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-13">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-05">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Quảng Ninh in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-13</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-13</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangNinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangNinh"/>
+      <skos:definition>subdivision code for the province of Sơn La in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-05</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-05</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;SonLa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;SonLa"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -884,27 +884,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Thái Bình
+    // Hòa Bình
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThaiBinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HoaBinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Thái Bình</rdfs:label>
-      <skos:definition>The province of Thái Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hòa Bình</rdfs:label>
+      <skos:definition>The province of Hòa Bình in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thái Bình</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hòa Bình</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-20">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-14">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Thái Bình in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-20</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-20</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThaiBinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThaiBinh"/>
+      <skos:definition>subdivision code for the province of Hòa Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-14</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-14</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HoaBinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HoaBinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
